## cagibi 0.1.1

=== debian/changelog ===
cagibi (0.1.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Build depend on pkg-kde-tools and compress using LZMA
  * Remove kubuntu_01_binary_location.diff (applied upstream)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 29 Aug 2010 19:29:08 +0200

cagibi (0.1.0-0ubuntu1) maverick; urgency=low

  * Initial upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Jul 2010 11:43:50 +0100
