=== debian/control ===
Source: cagibi
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, automoc, libqt4-dev, pkg-kde-tools
Standards-Version: 3.9.1
Section: kde

Package: cagibi
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cache/proxy daemon for SSDP used with UPnP
 Cagibi is a prototype of a cache/proxy daemon for
 SSDP, the discovery part of UPnP.
