## cagibi 0.2.0

=== debian/changelog ===
cagibi (0.2.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1013914).
  * Update Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 21 Jun 2012 10:15:39 -0400
