=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7.3), cmake, automoc, libqt4-dev, pkg-kde-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Section: kde
 
 Package: cagibi
